// Program Is MemTest.c
// Last Revision On 13 Jun 2019
// Test The New 512KB SRAM Chip Added To The Project Board

#include "simpletools.h" 


#define SPI     0
#define SDI     1
#define SQI     2

#define D3      27
#define D2      26
#define D1      25
#define D0      24

#define SCLK    23
#define RAMCS   22
#define FLCS    21
#define SDCS    20

char Mode=SPI;

#include "Structs.c"
#include "SQIRam.c"

          
void main(void)
{
 unsigned long Address;
 unsigned long OK=0;
 char PutByte=1;
 char GetByte;
 char Count=0;
retry:
 printf("Testing The SRAM Chip\n");
 for(Address=0; Address < 0x80000; Address++)
  {
   RamByteWrite(PutByte,Address);
   GetByte=RamByteRead(Address);
   if(PutByte == GetByte) Mode=SQI;
   printf("Address=%.6lu,PutByte=%.3d,GetByte=%.3d\r",Address,PutByte,GetByte);
   PutByte++;
   if(PutByte == 0x00) PutByte=1;   
  }     
 goto retry; 
}

